Update Application Stips
curl --request PUT \
--url https://api.lendflow.com/api/applications/{application_id}/stips \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"stips": null
}'import requests
url = "https://api.lendflow.com/api/applications/{application_id}/stips"
payload = { "stips": None }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({stips: null})
};
fetch('https://api.lendflow.com/api/applications/{application_id}/stips', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 1,
"stip_id": 1,
"name": "UCCS docs",
"description": "",
"file_type": null,
"files": [],
"is_finished": false,
"count": 1,
"is_optional": false
},
{
"id": 1,
"stip_id": 1,
"name": "UCCS docs",
"description": "",
"file_type": null,
"files": [],
"is_finished": false,
"count": 1,
"is_optional": false
}
]
}Workflow Management
Update Application Stips
Replaces the set of stips assigned to the application with the requested list and returns the application’s updated stip collection. Stips left out of the request are removed from the application.
PUT
/
api
/
applications
/
{application_id}
/
stips
Update Application Stips
Authorizations
You can register for a new Lendflow API key on our client portal in less than 60 seconds. The Bearer Token needs to be included in all API requests made to the API Service in the following form:
Authorization: Bearer [YOUR_TOKEN]
You must replace [YOUR_TOKEN] with your personal API key.
Path Parameters
The ID of the application.
Body
application/json
Show child attributes
Show child attributes
Example:
null
Response
200 - application/json
Show child attributes
Show child attributes
Example:
[
{
"id": 1,
"stip_id": 1,
"name": "UCCS docs",
"description": "",
"file_type": null,
"files": [],
"is_finished": false,
"count": 1,
"is_optional": false
},
{
"id": 1,
"stip_id": 1,
"name": "UCCS docs",
"description": "",
"file_type": null,
"files": [],
"is_finished": false,
"count": 1,
"is_optional": false
}
]
Was this page helpful?